Retrieves all the purchase order order lines

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

purchase_order_details
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
purchase_order_id

Foreign key of the purchase_order

globally unique identifier

Optionally required : purchase_order_id, purchase_order_reference or purchase_order must be provided

purchase_order_reference_back_office

Embedded entity "purchase_order" using ERP PK when adding/updating

string

Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided

purchase_order

Embedded entity "purchase_order" when adding/updating

purchase_order

Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided

article_id

Foreign key of article

globally unique identifier

Optionally required : article_id, article_code or article must be provided

article_code

Embedded entity "article" using ERP PK when adding/updating

string

Optionally required : article_id, article_code or article must be provided

article

Embedded entity "article" when adding/updating

article

Optionally required : article_id, article_code or article must be provided

line_number

Line Number, auto filled with (Highest+1) if value is 0/null

integer
code

Code of the article (auto filled if empty)

string

Max length: 255

supplier_code

Code of the supplier for this article

string

Max length: 255

name

Article Name (will be auto filled if article.name+description are empty)

string

Max length: 255

description

Article description (will be auto filled by article.short_description if name+description are empty)

string

Max length: 255

price

Unit Price

decimal number

Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$

Range: inclusive between 0.1 and 1.79769313486232E+308

quantity

Quantity

decimal number

Required

Range: inclusive between 0.1 and 1.79769313486232E+308

memo

Line memo/remark

string
cost_price

Unit Cost Price (statistic purpose)

decimal number

Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$

reference_back_office

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "66148132-6916-43ac-9d5d-1d579b9258d2",
  "purchase_order_id": "99f4aab1-060f-43cf-84a0-b49feb48dc20",
  "purchase_order_reference_back_office": "sample string 3",
  "purchase_order": {
    "id": "2cdfde7e-e65a-4c85-ae56-6052c81d98e3",
    "id2": 2,
    "jobs_id": "55f67c43-0aa7-4b58-a364-a0297b05eff7",
    "jobs_reference_back_office": "sample string 4",
    "supplier_company_id": "946bf453-4c51-4287-92ab-588641ad25e1",
    "supplier_company_code": "sample string 6",
    "user_id": "687e39d8-69fa-4b2d-8ada-707fae750c88",
    "user_code": "sample string 8",
    "description": "sample string 9",
    "memo": "sample string 10",
    "total_lines": 11,
    "date_create": "2026-06-05T19:40:19.9547613+00:00",
    "date_update": "2026-06-05T19:40:19.9547613+00:00",
    "date_delivery": "2026-06-05T19:40:19.9547613+00:00",
    "confirmed_date_delivery": "2026-06-05T19:40:19.9547613+00:00",
    "delivery_db_address_id": "51c3cfd1-7902-4a86-921c-e45daf226336",
    "approved_by_user_id": "6c81b65d-b285-4bb1-908e-de928e4d5a3a",
    "approved_by_user_code": "sample string 18",
    "technical_user_id": "d6f1de9e-817c-4faa-ba04-f51bcd058c50",
    "technical_user_code": "sample string 20",
    "purchase_order_status_id": "0aa619a2-0538-4eaa-9d04-41f139b30bc7",
    "purchase_order_status_code": "sample string 22",
    "article_stock_location_id": "61e83415-c286-4ae7-8155-99c6d86d6869",
    "is_pickup": true,
    "reference_back_office": "sample string 25",
    "modified_dateutc": "2026-06-05T19:40:19.9547613+00:00"
  },
  "article_id": "bb3278d5-6f80-4ac3-b590-15e96aa68c46",
  "article_code": "sample string 5",
  "article": {
    "id": "204fcd47-ca4f-47c6-85b1-af9f6c9f8520",
    "article_category_id": "f2af2d43-1b05-4af0-ac13-3e9a9bb780e6",
    "article_category": {
      "id": "0df1f1de-cc44-4d0f-9ffc-db22ab721f33",
      "parent_id": "b03d8250-f4cb-46c4-9e64-41149127d225",
      "parent_code": "sample string 3",
      "code": "sample string 4",
      "name": "sample string 5",
      "modified_dateutc": "2026-06-05T19:40:19.9547613+00:00"
    },
    "article_category_code": "sample string 3",
    "article_group_1_id": "276850a8-9677-430f-b9b8-b333d529535b",
    "article_group_1_code": "sample string 5",
    "article_group_2_id": "c076fc5b-5085-475b-a237-89679b12dd07",
    "article_group_2_code": "sample string 7",
    "article_group_3_id": "994fa78a-1d86-409d-987e-3bb62817798b",
    "article_group_3_code": "sample string 9",
    "article_group_4_id": "8d19cfb4-5f2c-4b8b-ac57-77c9880c3245",
    "article_group_4_code": "sample string 11",
    "article_group_5_id": "76c6767d-71e5-4406-a329-e4782b543142",
    "article_group_5_code": "sample string 13",
    "article_group_6_id": "4f4e0388-38a6-4572-ab21-3e7bd9c58d4a",
    "article_group_6_code": "sample string 15",
    "physical_stock": 16,
    "back_order_client": 17,
    "back_order_supplier": 18,
    "expected_delivery_date_bo_supplier": "2026-06-05T19:40:19.9703881+00:00",
    "article_increment": 20,
    "min_article_quantity": 21,
    "entered_price": 22.0,
    "cost_price": 23.1,
    "no_stock": true,
    "archived": true,
    "is_travel_fee": true,
    "is_mileage_fee": true,
    "code": "sample string 28",
    "name": "sample string 29",
    "description_short": "sample string 30",
    "description_long": "sample string 31",
    "barcode": "sample string 32",
    "notes": "sample string 33",
    "date_create": "2026-06-05T19:40:19.9703881+00:00",
    "date_update": "2026-06-05T19:40:19.9703881+00:00",
    "modified_dateutc": "2026-06-05T19:40:19.9703881+00:00",
    "article_color_id": "03a6c248-db2e-4c3c-ba09-66e7af6efcf6",
    "article_color_code": "sample string 38",
    "article_color": {
      "id": "106dc3a3-e8b9-462e-b363-83d174e14428",
      "name": "sample string 2",
      "code": "sample string 3",
      "modified_dateutc": "2026-06-05T19:40:19.9703881+00:00"
    },
    "warranty_period_nb_months": 39,
    "use_serial": true,
    "_replace_id": "77f8ea8a-5e19-4144-ab0b-1749d5e7c5b9",
    "replace_article_code": "sample string 42",
    "db_unit_of_measure_id_selling": "4530348b-e691-4edf-be12-96f001f6f709",
    "db_unit_of_measure_code_selling": "sample string 44",
    "translations": [
      {
        "field_name": "sample string 1",
        "language_code": "sample string 2",
        "value_translated": "sample string 3"
      },
      {
        "field_name": "sample string 1",
        "language_code": "sample string 2",
        "value_translated": "sample string 3"
      }
    ]
  },
  "line_number": 6,
  "code": "sample string 7",
  "supplier_code": "sample string 8",
  "name": "sample string 9",
  "description": "sample string 10",
  "price": 11.0,
  "quantity": 12.0,
  "memo": "sample string 13",
  "cost_price": 14.0,
  "reference_back_office": "sample string 15",
  "modified_dateutc": "2026-06-05T19:40:19.9703881+00:00"
}